package com.lightinit.hsdataportal.model;

import com.lightinit.hsdataportal.entity.ResourceApiInterfaceInput;
import com.lightinit.hsdataportal.entity.ResourceApiInterfaceOutput;

import java.util.List;

public class APIOpenInterfaceViewModel {

    //接口地址
    private String url;

    //支持格式
    private String responseFormat;

    //请求方式
    private String requestMethod;

    //请求事例
    private String requestDemo;

    //返回事例
    private String responseDemo;

    //备注
    private String remark;

    //请求参数
    private List<ResourceApiInterfaceInput> interfaceInputs;

    //返回参数
    private List<ResourceApiInterfaceOutput> interfaceOutputs;

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getRequestMethod() {
        return requestMethod;
    }

    public void setRequestMethod(String requestMethod) {
        this.requestMethod = requestMethod;
    }

    public String getRequestDemo() {
        return requestDemo;
    }

    public void setRequestDemo(String requestDemo) {
        this.requestDemo = requestDemo;
    }

    public String getResponseDemo() {
        return responseDemo;
    }

    public void setResponseDemo(String responseDemo) {
        this.responseDemo = responseDemo;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<ResourceApiInterfaceInput> getInterfaceInputs() {
        return interfaceInputs;
    }

    public void setInterfaceInputs(List<ResourceApiInterfaceInput> interfaceInputs) {
        this.interfaceInputs = interfaceInputs;
    }

    public List<ResourceApiInterfaceOutput> getInterfaceOutputs() {
        return interfaceOutputs;
    }

    public void setInterfaceOutputs(List<ResourceApiInterfaceOutput> interfaceOutputs) {
        this.interfaceOutputs = interfaceOutputs;
    }

    public String getResponseFormat() {
        return responseFormat;
    }

    public void setResponseFormat(String responseFormat) {
        this.responseFormat = responseFormat;
    }
}
